#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbattleshipdialogs (static) ###############

tde_add_library( kbattleshipdialogs STATIC_PIC AUTOMOC
  SOURCES connectDlg.ui serverDlg.ui chatDlg.ui statDlg.ui infoDlg.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdeui-shared
)
